
/* Chrysalide - Outil d'analyse de fichiers binaires
 * strings.h - prototypes pour le panneau d'affichage des chaînes de caractères
 *
 * Copyright (C) 2009-2017 Cyrille Bagard
 *
 *  This file is part of Chrysalide.
 *
 *  Chrysalide is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  Chrysalide is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */


#ifndef _PANEL_STRINGS_H
#define _PANEL_STRINGS_H


#include <gtk/gtk.h>


#include "../format/executable.h"



/* Construit le panneau d'affichage des symboles. */
GtkWidget *build_strings_panel(GObject *);

/* Affiche la liste des symboles présents dans un exécutable. */
void handle_new_exe_on_strings_panel(GtkWidget *, const GExeFormat *);



#endif  /* _PANEL_STRINGS_H */
